%define upstream_name    Test-XT
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Generate best practice author tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Perl::MinimumVersion) >= 1.200.0
BuildRequires: perl(Pod::Simple) >= 3.70.0
BuildRequires: perl(Test::CPAN::Meta) >= 0.120.0
BuildRequires: perl(Test::CheckChanges) >= 0.80.0
BuildRequires: perl(Test::DistManifest) >= 1.3.0
BuildRequires: perl(Test::MinimumVersion) >= 0.8.0
BuildRequires: perl(Test::More) >= 0.420.0
BuildRequires: perl(Test::Pod) >= 1.260.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildArch:  noarch

%description
A number of Test modules have been written over the years to support
authors. Typically, these modules have standard short test scripts
documented in them that you can cut and paste into your distribution.

Unfortunately almost all of these cut-and-paste test scripts are wrong.

Either the test script runs during install time, or it runs with an
out-of-date version of the test module, or the author adds the test modules
as an (unnecessary) dependency at install time, or for automated testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-13.mga10
+ Revision: 2204774
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.40.0-12.mga9
+ Revision: 1810450
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-11.mga8
+ Revision: 1506608
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-10.mga7
+ Revision: 1286882
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.40.0-9.mga7
+ Revision: 1166944
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.40.0-8.mga7
+ Revision: 1159328
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1034889
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 930021
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 742536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 686584
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 515460
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 373929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 120525
- update to 0.04

* Tue Jan 25 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 38504
- mageia rebuild
- cleaning spec file
- imported package perl-Test-XT

